Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGLengthList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGLengthList

All Implemented Interfaces:
  org.w3c.dom.svg.SVGLengthList

Direct Known Subclasses:
  SVGOMAnimatedLengthList.AnimSVGLengthList, SVGOMAnimatedLengthList.BaseSVGLengthList

    public abstract class AbstractSVGLengthList

extends AbstractSVGList
implements org.w3c.dom.svg.SVGLengthList

This class is the implementation of `SVGLengthList`.

Nested Class Summary
`protected class` | `AbstractSVGLengthList.LengthListBuilder` Helper class to interface the `LengthListParser` and the `ListHandler`.
`protected class` | `AbstractSVGLengthList.SVGLengthItem` An `SVGLength` in the list.

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary
`protected short` | `direction` This length list's direction.
`static String` | `SVG_LENGTH_LIST_SEPARATOR` Separator for a length list.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Constructor Summary
`protected` | `AbstractSVGLengthList(short direction)` Creates a new SVGLengthList.

Method Summary
`org.w3c.dom.svg.SVGLength` | `appendItem(org.w3c.dom.svg.SVGLength newItem)` DOM: Implements `SVGLengthList.appendItem(SVGLength)`.
`protected void` | `checkItemType(Object newItem)` Asserts that the given item is an `SVGLengthList`.
`protected abstract org.w3c.dom.svg.SVGException` | `createSVGException(short type, String key, Object[] args)` Create an SVGException when the checkItemType fails.
`protected SVGItem` | `createSVGItem(Object newItem)` Creates a new `SVGItem` object from the given `SVGLength`.
`protected void` | `doParse(String value, ListHandler handler)` Parses the attribute associated with this SVGLengthList.
`protected abstract Element` | `getElement()` Returns the element owning this SVGLengthList.
`org.w3c.dom.svg.SVGLength` | `getItem(int index)` DOM: Implements `SVGLengthList.getItem(int)`.
`protected String` | `getItemSeparator()` Return the separator between values in the list.
`org.w3c.dom.svg.SVGLength` | `initialize(org.w3c.dom.svg.SVGLength newItem)` DOM: Implements `SVGLengthList.initialize(SVGLength)`.
`org.w3c.dom.svg.SVGLength` | `insertItemBefore(org.w3c.dom.svg.SVGLength newItem, int index)` DOM: Implements `SVGLengthList.insertItemBefore(SVGLength,int)`.
`org.w3c.dom.svg.SVGLength` | `removeItem(int index)` DOM: Implements `SVGLengthList.removeItem(int)`.
`org.w3c.dom.svg.SVGLength` | `replaceItem(org.w3c.dom.svg.SVGLength newItem, int index)` DOM: Implements `SVGLengthList.replaceItem(SVGLength,int)`.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, createDOMException, getItemImpl, getNumberOfItems, getValueAsString, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, resetAttribute, resetAttribute, revalidate, setAttributeValue, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGLengthList
`clear, getNumberOfItems`

Field Detail

### direction

    protected short direction

  This length list's direction.

### SVG_LENGTH_LIST_SEPARATOR

    public static final String SVG_LENGTH_LIST_SEPARATOR

  Separator for a length list.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractSVGLengthList

    protected AbstractSVGLengthList(short direction)

  Creates a new SVGLengthList.

Method Detail

### getItemSeparator

    protected String getItemSeparator()

  Return the separator between values in the list.

  Specified by:
    `getItemSeparator` in class `AbstractSVGList`

### createSVGException

    protected abstract org.w3c.dom.svg.SVGException createSVGException(short type,
                                                                       String key,
                                                                       Object[] args)

  Create an SVGException when the checkItemType fails.

  Returns:
    SVGException

### getElement

    protected abstract Element getElement()

  Returns the element owning this SVGLengthList.

### initialize

    public org.w3c.dom.svg.SVGLength initialize(org.w3c.dom.svg.SVGLength newItem)
                                         throws DOMException,
                                                org.w3c.dom.svg.SVGException

  DOM: Implements `SVGLengthList.initialize(SVGLength)`.

  Specified by:
    `initialize` in interface `org.w3c.dom.svg.SVGLengthList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### getItem

    public org.w3c.dom.svg.SVGLength getItem(int index)
                                      throws DOMException

  DOM: Implements `SVGLengthList.getItem(int)`.

  Specified by:
    `getItem` in interface `org.w3c.dom.svg.SVGLengthList`
  Throws:
    `DOMException`

### insertItemBefore

    public org.w3c.dom.svg.SVGLength insertItemBefore(org.w3c.dom.svg.SVGLength newItem,
                                                      int index)
                                               throws DOMException,
                                                      org.w3c.dom.svg.SVGException

  DOM: Implements `SVGLengthList.insertItemBefore(SVGLength,int)`.

  Specified by:
    `insertItemBefore` in interface `org.w3c.dom.svg.SVGLengthList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### replaceItem

    public org.w3c.dom.svg.SVGLength replaceItem(org.w3c.dom.svg.SVGLength newItem,
                                                 int index)
                                          throws DOMException,
                                                 org.w3c.dom.svg.SVGException

  DOM: Implements `SVGLengthList.replaceItem(SVGLength,int)`.

  Specified by:
    `replaceItem` in interface `org.w3c.dom.svg.SVGLengthList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### removeItem

    public org.w3c.dom.svg.SVGLength removeItem(int index)
                                         throws DOMException

  DOM: Implements `SVGLengthList.removeItem(int)`.

  Specified by:
    `removeItem` in interface `org.w3c.dom.svg.SVGLengthList`
  Throws:
    `DOMException`

### appendItem

    public org.w3c.dom.svg.SVGLength appendItem(org.w3c.dom.svg.SVGLength newItem)
                                         throws DOMException,
                                                org.w3c.dom.svg.SVGException

  DOM: Implements `SVGLengthList.appendItem(SVGLength)`.

  Specified by:
    `appendItem` in interface `org.w3c.dom.svg.SVGLengthList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### createSVGItem

    protected SVGItem createSVGItem(Object newItem)

  Creates a new `SVGItem` object from the given `SVGLength`.

  Specified by:
    `createSVGItem` in class `AbstractSVGList`
  Parameters:
    `newItem` - the SVG object
  Returns:
    the newly created `SVGItem` object

### doParse

    protected void doParse(String value,
                           ListHandler handler)
                    throws ParseException

  Parses the attribute associated with this SVGLengthList.

  Specified by:
    `doParse` in class `AbstractSVGList`
  Parameters:
    `value` - attribute value
    `handler` - length list handler
  Throws:
    `ParseException`

### checkItemType

    protected void checkItemType(Object newItem)
                          throws org.w3c.dom.svg.SVGException

  Asserts that the given item is an `SVGLengthList`.

  Specified by:
    `checkItemType` in class `AbstractSVGList`
  Throws:
    `org.w3c.dom.svg.SVGException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.